Cisco ASR 903 SNMP MIB Support List


The following list indicates the MIBs that are supported by the Cisco ASR 903 Series Router. SNMP version 1 MIBs are in the v1 directory and SNMP version 2 MIBs are in the v2 directory. Note that for almost every MIB .my file in the v2 directory, there exists a SNMP version 1 conversion of the MIB -V1SMI.my file in the v1 directory. MIBs are categorized into three types: Supported and Verified MIBs, Supported and Unverified MIBs, and Unsupported MIBs.


   

   

        IOS XE 3.8.x

o        Changes from IOS XE 3.7.x Release

o        Supported and Verified MIBs

o        Supported and Unverified MIBs

         o        Unsupported MIBs


        IOS XE 3.7.x

o        Supported and Verified MIBs

o        Supported and Unverified MIBs

o        Unsupported MIBs


IOS XE 3.8.x

Changes from IOS XE 3.7.x Release

The following are the updates made to MIBs from the previous release:

Note: Refer to Cisco ASR 903 MIB Specification Guide for more information.

Supported and Verified MIBs

MIB Name

Revision ID

BGP4-MIB (RFC 1657)

9405050000Z

CISCO-BGP-POLICY-ACCOUNTING-MIB

200207260000Z

CISCO-BGP4-MIB

201009300000Z

CISCO-BULK-FILE-MIB

200108220000Z

CISCO-CBP-TARGET-MIB

200605240000Z

CISCO-CDP-MIB

200503210000Z

CISCO-CEF-MIB

200601300000Z

CISCO-CLASS-BASED-QOS-MIB

200404120000Z

CISCO-CONFIG-COPY-MIB

200403170000Z

CISCO-CONFIG-MAN-MIB

200608220000Z

CISCO-DATA-COLLECTION-MIB

200210300530Z

CISCO-DOT3-OAM-MIB

200605310000Z

CISCO-EMBEDDED-EVENT-MGR-MIB

200611070000Z

CISCO-ENHANCED-MEMPOOL-MIB

200812050000Z

CISCO-ENTITY-ALARM-MIB

199907062150Z

CISCO-ENTITY-EXT-MIB

200811240000Z

CISCO-ENTITY-FRU-CONTROL-MIB

200810070000Z

CISCO-ENTITY-SENSOR-MIB

200601010000Z

CISCO-ENTITY-VENDORTYPE-OID-MIB

200505050930Z

CISCO-FLASH-MIB

201103160000Z

CISCO-FTP-CLIENT-MIB

199710091700Z

CISCO-IETF-ISIS-MIB

200508161200Z

CISCO-IETF-MPLS-ID-STD-03-MIB

201204080000Z

CISCO-IETF-MPLS-TE-EXT-STD-03-MIB

201204080000Z

CISCO-IETF-PW-ATM-MIB

200504191200Z

CISCO-IETF-PW-ENET-MIB

200209221200Z

CISCO-IETF-PW-MIB

200403171200Z

CISCO-IETF-PW-MPLS-MIB

200302261200Z

CISCO-IETF-PW-TDM-MIB

200607210000Z

CISCO-IF-EXTENSION-MIB

200311140000Z

CISCO-IGMP-FILTER-MIB

200111080000Z

CISCO-IMAGE-LICENSE-MGMT-MIB

200710160000Z

CISCO-IMAGE-MIB

199508150000Z

CISCO-IPMROUTE-MIB

200804010000Z

CISCO-LICENSE-MGMT-MIB

200607040000Z

CISCO-MPLS-LSR-EXT-STD-MIB

201202220000Z

CISCO-MPLS-TC-EXT-STD-MIB

201106160000Z

CISCO-MVPN-MIB

200402231200Z

CISCO-NETSYNC-MIB

201010150000Z

CISCO-OSPF-MIB

200307180000Z

CISCO-OSPF-TRAP-MIB

200307180000Z

CISCO-PIM-MIB

200011020000Z

CISCO-PROCESS-MIB

201005060000Z

CISCO-PRODUCTS-MIB

200505051930Z

CISCO-PTP-MIB

201101280000Z

CISCO-RF-MIB

200803180000Z

CISCO-RTTMON-MIB

201102210000Z

CISCO-STP-EXTENSIONS-MIB

200503020000Z

CISCO-SONET-MIB

200205220000Z

CISCO-SYSLOG-MIB

199508070000Z

DS1-MIB

9808011830Z

ENTITY-MIB

200508100000Z

ENTITY-SENSOR-MIB

200212160000Z

ENTITY-STATE-MIB

200511220000Z

ETHERLIKE-MIB

200309190000Z

EVENT-MIB

200010160000Z

IEEE8021-CFM-MIB

200810150000Z

IEEE8021-CFM-V2-MIB 200810150000Z

IF-MIB

9611031355Z

IGMP-STD-MIB

200009280000Z

IP-FORWARD-MIB

200602010000Z

IP-MIB

200602020000Z

IPMROUTE-STD-MIB

200009220000Z

MPLS-LDP-GENERIC-STD-MIB

200406030000Z

MPLS-LDP-STD-MIB

200406030000Z

MPLS-LSR-STD-MIB

200406030000Z

MSDP-MIB

9912160000Z

NOTIFICATION-LOG-MIB

200011270000Z

OSPF-MIB

9501201225Z

OSPF-TRAP-MIB

9501201225Z

PIM-MIB

200009280000Z

RFC1213-MIB

UNKNOWN

RFC2982-MIB

200010160000Z

RMON-MIB

9606111939Z

RSVP-MIB

9808251820Z

SNMP-COMMUNITY-MIB

UNKNOWN

SNMP-FRAMEWORK-MIB

9901190000Z

SNMP-MPD-MIB

9905041636Z

SNMP-NOTIFICATION-MIB

9808040000Z

SNMP-PROXY-MIB

9808040000Z

SNMP-TARGET-MIB

9808040000Z

SNMP-USM-MIB (RFC 2574)

9901200000Z

SNMPv2-MIB (MIB-II)

9511090000Z

SNMPv2-SMI

UNKNOWN

SNMP-VIEW-BASED-ACM-MIB

9901200000Z

SONET-MIB

9810190000Z

TCP-MIB

200502180000Z

TUNNEL-MIB

200505160000Z

UDP-MIB

200505200000Z

 

Supported and Unverified MIBs

MIB Name

Revision ID

ATM-MIB

9406072245Z

CISCO-ATM-EXT-MIB

200301060000Z

CISCO-ATM-IF-MIB

200202130000Z

CISCO-ATM-PVC-MIB

9711180000Z

CISCO-ATM-PVCTRAP-EXTN-MIB

200303240000Z

CISCO-BCP-MIB

200408310000Z

CISCO-CALLHOME-MIB

200907140000Z

CISCO-CIRCUIT-INTERFACE-MIB

200005090000Z

CISCO-CONTEXT-MAPPING-MIB

200503170000Z

CISCO-EIGRP-MIB

201004250000Z

CISCO-ERM-MIB

200602110000Z

CISCO-ETHERLIKE-EXT-MIB

201006040000Z

CISCO-EVC-MIB

200805010000Z

CISCO-HSRP-EXT-MIB

9808030000Z

CISCO-HSRP-MIB

9808030000Z

CISCO-IETF-ATM2-PVCTRAP-MIB

9802030000Z

CISCO-IETF-BFD-MIB

200706040000Z

CISCO-IETF-DHCP-SERVER-MIB

200703270000Z

CISCO-IETF-DHCP-SERVER-EXT-MIB

200703151200Z

CISCO-IETF-MPLS-TE-P2MP-STD-MIB

200909300000Z

CISCO-IETF-PPVPN-MPLS-VPN-MIB

200304171200Z

CISCO-IP-STAT-MIB

200112202300Z

CISCO-IPSLA-ETHERNET-MIB

200801020000Z

CISCO-L2-CONTROL-MIB

200306011700Z

CISCO-LAG-MIB

200212130000Z

CISCO-MAC-NOTIFICATION-MIB

200706110000Z

CISCO-MEMORY-POOL-MIB

9602120000Z

CISCO-NHRP-EXT-MIB

200811210000Z

CISCO-NTP-MIB

200307070000Z

CISCO-PING-MIB

200108280000Z

CISCO-RESILIENT-ETHERNET-PROTOCOL-MIB

200705220000Z

CISCO-RTTMON-ICMP-MIB

200508090000Z

CISCO-RTTMON-IP-EXT-MIB

200608020000Z

CISCO-RTTMON-RTP-MIB

200508090000Z

CISCO-SNMP-TARGET-EXT-MIB

200404010000Z

CISCO-TCP-MIB

200111120000Z

CISCO-VRF-MIB

200912100000Z

ETHER-WIS (RFC 3637)

200309190000Z

EXPRESSION-MIB

9802251700Z

HC-ALARM-MIB

200212160000Z

HC-RMON-MIB

9702120000Z

IEEE8023-LAG-MIB

200006270000Z

INT-SERV-GUARANTEED-MIB

9511030500Z

INTEGRATED-SERVICES-MIB

9511030500Z

MPLS-L3VPN-STD-MIB (RFC 4382)

200601230000Z

MPLS-TE-STD-MIB

200406030000Z

MPLS-VPN-MIB

200110151200Z

NHRP-MIB

9908260000Z

RFC2006-MIB (MIP)

9606040000Z

RMON2-MIB (RFC 2021)

9605270000Z

SMON-MIB

9812160000Z

VRRP-MIB

200003030000Z

 

Unsupported MIBs

MIB Name

Revision ID

ATM2-MIB UNKNOWN
CALISTA-DPA-MIB UNKNOWN
CISCO-AAA-SERVER-MIB UNKNOWN
CISCO-AAA-SESSION-MIB UNKNOWN
CISCO-AAL5-EXT-MIB UNKNOWN
CISCO-ATM-QOS-MIB UNKNOWN
CISCO-CAR-MIB UNKNOWN
CISCO-ETHER-CFM-MIB UNKNOWN
CISCO-FRAME-RELAY-MIB UNKNOWN
CISCO-IETF-DOT3-OAM-MIB UNKNOWN
CISCO-IETF-FRR-MIB UNKNOWN
CISCO-IETF-PW-FR-MIB UNKNOWN
CISCO-IGMP-FILTER-MIB UNKNOWN
CISCO-NBAR-PROTOCOL-DISCOVERY-MIB UNKNOWN
CISCO-NDE-MIB UNKNOWN
CISCO-NETFLOW-MIB UNKNOWN
CISCO-OTN-IF-MIB UNKNOWN
CISCO-PPPOE-MIB UNKNOWN
CISCO-QINQ-VLAN-MIB UNKNOWN
CISCO-RADIUS-EXT-MIB UNKNOWN
CISCO-SRP-MIB UNKNOWN
CISCO-STACK-MIB UNKNOWN
CISCO-STACKMAKER-MIB UNKNOWN
CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB UNKNOWN
CISCO-VPDN-MGMT-EXT-MIB UNKNOWN
CISCO-VPDN-MGMT-MIB UNKNOWN
DLSW-MIB UNKNOWN
DS3-MIB UNKNOWN
FR-MFR-MIB UNKNOWN
FRAME-RELAY-DTE-MIB UNKNOWN
IMA-MIB UNKNOWN
LLDP-MIB UNKNOWN
NETRANGER UNKNOWN
OLD-CISCO-CHASSIS-MIB UNKNOWN
OLD-CISCO-IP-MIB UNKNOWN
OLD-MPLS-LDP-MIB UNKNOWN
OLD-MPLS-LSR-MIB UNKNOWN
OLD-MPLS-TE-MIB UNKNOWN
RFC1406-MIB UNKNOWN
RFC1407-MIB UNKNOWN

IOS XE 3.7.x

Supported and Verified MIBs

MIB Name

Revision ID

BGP4-MIB (RFC 1657)

9405050000Z

CISCO-BGP-POLICY-ACCOUNTING-MIB

200207260000Z

CISCO-BGP4-MIB

201009300000Z

CISCO-BULK-FILE-MIB

200108220000Z

CISCO-CBP-TARGET-MIB

200605240000Z

CISCO-CDP-MIB

200503210000Z

CISCO-CEF-MIB

200601300000Z

CISCO-CLASS-BASED-QOS-MIB

200404120000Z

CISCO-CONFIG-COPY-MIB

200403170000Z

CISCO-CONFIG-MAN-MIB

200608220000Z

CISCO-DATA-COLLECTION-MIB

200210300530Z

CISCO-EMBEDDED-EVENT-MGR-MIB

200611070000Z

CISCO-ENHANCED-MEMPOOL-MIB

200812050000Z

CISCO-ENTITY-ALARM-MIB

199907062150Z

CISCO-ENTITY-EXT-MIB

200811240000Z

CISCO-ENTITY-FRU-CONTROL-MIB

200810070000Z

CISCO-ENTITY-SENSOR-MIB

200601010000Z

CISCO-ENTITY-VENDORTYPE-OID-MIB

200505050930Z

CISCO-FLASH-MIB

201103160000Z

CISCO-FTP-CLIENT-MIB

199710091700Z

CISCO-IETF-ISIS-MIB

200508161200Z

CISCO-IETF-PW-ATM-MIB

200504191200Z

CISCO-IETF-PW-ENET-MIB

200209221200Z

CISCO-IETF-PW-MIB

200403171200Z

CISCO-IETF-PW-MPLS-MIB

200302261200Z

CISCO-IETF-PW-TDM-MIB

200607210000Z

CISCO-IF-EXTENSION-MIB

200311140000Z

CISCO-IGMP-FILTER-MIB

200111080000Z

CISCO-IMAGE-LICENSE-MGMT-MIB

200710160000Z

CISCO-IMAGE-MIB

199508150000Z

CISCO-IPMROUTE-MIB

200804010000Z

CISCO-LICENSE-MGMT-MIB

200607040000Z

CISCO-MVPN-MIB

200402231200Z

CISCO-NETSYNC-MIB

201010150000Z

CISCO-OSPF-MIB

200307180000Z

CISCO-OSPF-TRAP-MIB

200307180000Z

CISCO-PIM-MIB

200011020000Z

CISCO-PROCESS-MIB

201005060000Z

CISCO-PRODUCTS-MIB

200505051930Z

CISCO-PTP-MIB

201101280000Z

CISCO-RF-MIB

200803180000Z

CISCO-RTTMON-MIB

201102210000Z

CISCO-STP-EXTENSIONS-MIB

200503020000Z

CISCO-SONET-MIB

200205220000Z

CISCO-SYSLOG-MIB

199508070000Z

DS1-MIB

9808011830Z

ENTITY-MIB

200508100000Z

ENTITY-SENSOR-MIB

200212160000Z

ENTITY-STATE-MIB

200511220000Z

ETHERLIKE-MIB

200309190000Z

EVENT-MIB

200010160000Z

IEEE8021-CFM-MIB

200810150000Z

IEEE8021-CFM-V2-MIB 200810150000Z

IF-MIB

9611031355Z

IGMP-STD-MIB

200009280000Z

IP-FORWARD-MIB

200602010000Z

IP-MIB

200602020000Z

IPMROUTE-STD-MIB

200009220000Z

MPLS-LDP-GENERIC-STD-MIB

200406030000Z

MPLS-LDP-STD-MIB

200406030000Z

MPLS-LSR-STD-MIB

200406030000Z

MSDP-MIB

9912160000Z

NOTIFICATION-LOG-MIB

200011270000Z

OSPF-MIB

9501201225Z

OSPF-TRAP-MIB

9501201225Z

PIM-MIB

200009280000Z

RFC1213-MIB

UNKNOWN

RFC2982-MIB

200010160000Z

RMON-MIB

9606111939Z

RSVP-MIB

9808251820Z

SNMP-COMMUNITY-MIB

UNKNOWN

SNMP-FRAMEWORK-MIB

9901190000Z

SNMP-MPD-MIB

9905041636Z

SNMP-NOTIFICATION-MIB

9808040000Z

SNMP-PROXY-MIB

9808040000Z

SNMP-TARGET-MIB

9808040000Z

SNMP-USM-MIB (RFC 2574)

9901200000Z

SNMPv2-MIB (MIB-II)

9511090000Z

SNMPv2-SMI

UNKNOWN

SNMP-VIEW-BASED-ACM-MIB

9901200000Z

SONET-MIB

9810190000Z

TCP-MIB

200502180000Z

TUNNEL-MIB

200505160000Z

UDP-MIB

200505200000Z

 

Supported and Unverified MIBs

 

MIB Name

Revision ID

ATM-MIB

9406072245Z

CISCO-ATM-EXT-MIB

200301060000Z

CISCO-ATM-IF-MIB

200202130000Z

CISCO-ATM-PVC-MIB

9711180000Z

CISCO-ATM-PVCTRAP-EXTN-MIB

200303240000Z

CISCO-BCP-MIB

200408310000Z

CISCO-CALLHOME-MIB

200907140000Z

CISCO-CIRCUIT-INTERFACE-MIB

200005090000Z

CISCO-CONTEXT-MAPPING-MIB

200503170000Z

CISCO-EIGRP-MIB

201004250000Z

CISCO-ERM-MIB

200602110000Z

CISCO-ETHERLIKE-EXT-MIB

201006040000Z

CISCO-EVC-MIB

200805010000Z

CISCO-HSRP-EXT-MIB

9808030000Z

CISCO-HSRP-MIB

9808030000Z

CISCO-IETF-ATM2-PVCTRAP-MIB

9802030000Z

CISCO-IETF-BFD-MIB

200706040000Z

CISCO-IETF-DHCP-SERVER-MIB

200703270000Z

CISCO-IETF-DHCP-SERVER-EXT-MIB

200703151200Z

CISCO-IETF-MPLS-TE-P2MP-STD-MIB

200909300000Z

CISCO-IETF-PPVPN-MPLS-VPN-MIB

200304171200Z

CISCO-IP-STAT-MIB

200112202300Z

CISCO-IPSLA-ETHERNET-MIB

200801020000Z

CISCO-L2-CONTROL-MIB

200306011700Z

CISCO-LAG-MIB

200212130000Z

CISCO-MAC-NOTIFICATION-MIB

200706110000Z

CISCO-MEMORY-POOL-MIB

9602120000Z

CISCO-NHRP-EXT-MIB

200811210000Z

CISCO-NTP-MIB

200307070000Z

CISCO-PING-MIB

200108280000Z

CISCO-RESILIENT-ETHERNET-PROTOCOL-MIB

200705220000Z

CISCO-RTTMON-ICMP-MIB

200508090000Z

CISCO-RTTMON-IP-EXT-MIB

200608020000Z

CISCO-RTTMON-RTP-MIB

200508090000Z

CISCO-SNMP-TARGET-EXT-MIB

200404010000Z

CISCO-TCP-MIB

200111120000Z

CISCO-VRF-MIB

200912100000Z

ETHER-WIS (RFC 3637)

200309190000Z

EXPRESSION-MIB

9802251700Z

HC-ALARM-MIB

200212160000Z

HC-RMON-MIB

9702120000Z

IEEE8023-LAG-MIB

200006270000Z

INT-SERV-GUARANTEED-MIB

9511030500Z

INTEGRATED-SERVICES-MIB

9511030500Z

MPLS-L3VPN-STD-MIB (RFC 4382)

200601230000Z

MPLS-TE-STD-MIB

200406030000Z

MPLS-VPN-MIB

200110151200Z

NHRP-MIB

9908260000Z

RFC2006-MIB (MIP)

9606040000Z

RMON2-MIB (RFC 2021)

9605270000Z

SMON-MIB

9812160000Z

VRRP-MIB

200003030000Z

 

Unsupported MIBs

 

MIB Name

Revision ID

ATM2-MIB UNKNOWN
CALISTA-DPA-MIB UNKNOWN
CISCO-AAA-SERVER-MIB UNKNOWN
CISCO-AAA-SESSION-MIB UNKNOWN
CISCO-AAL5-EXT-MIB UNKNOWN
CISCO-ATM-QOS-MIB UNKNOWN
CISCO-CAR-MIB UNKNOWN
CISCO-FRAME-RELAY-MIB UNKNOWN
CISCO-IETF-DOT3-OAM-MIB UNKNOWN
CISCO-IETF-FRR-MIB UNKNOWN
CISCO-IETF-PW-FR-MIB UNKNOWN
CISCO-IGMP-FILTER-MIB UNKNOWN
CISCO-NBAR-PROTOCOL-DISCOVERY-MIB UNKNOWN
CISCO-NDE-MIB UNKNOWN
CISCO-NETFLOW-MIB UNKNOWN
CISCO-OTN-IF-MIB UNKNOWN
CISCO-PPPOE-MIB UNKNOWN
CISCO-QINQ-VLAN-MIB UNKNOWN
CISCO-RADIUS-EXT-MIB UNKNOWN
CISCO-SRP-MIB UNKNOWN
CISCO-STACK-MIB UNKNOWN
CISCO-STACKMAKER-MIB UNKNOWN
CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB UNKNOWN
CISCO-VPDN-MGMT-EXT-MIB UNKNOWN
CISCO-VPDN-MGMT-MIB UNKNOWN
DLSW-MIB UNKNOWN
DS3-MIB UNKNOWN
FR-MFR-MIB UNKNOWN
FRAME-RELAY-DTE-MIB UNKNOWN
IMA-MIB UNKNOWN
LLDP-MIB UNKNOWN
NETRANGER UNKNOWN
OLD-CISCO-CHASSIS-MIB UNKNOWN
OLD-CISCO-IP-MIB UNKNOWN
OLD-MPLS-LDP-MIB UNKNOWN
OLD-MPLS-LSR-MIB UNKNOWN
OLD-MPLS-TE-MIB UNKNOWN
RFC1406-MIB UNKNOWN
RFC1407-MIB UNKNOWN